获取 outlookTask (已弃)
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取用户邮箱中的 Outlook 任务的属性和关系。
默认情况下,此操作 (POST、PATCH 和 完成 任务操作) UTC 格式返回与日期相关的属性。 你可以使用 Prefer: outlook.timezone 标头将响应中的所有与日期相关的属性都表示为与 UTC 不同的时区。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Tasks.Read
委派(个人 Microsoft 帐户)
Tasks.Read
应用程序
不支持。
HTTP 请求
GET /me/outlook/tasks/{id}
GET /users/{id|userPrincipalName}/outlook/tasks/{id}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
Prefer: outlook.timezone
指定响应中时间属性的时区,如果未指定此标头,则其时区为 UTC。 可选。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 outlookTask 对象。
示例
示例 1:获取Outlook任务
请求
下面是一个请求示例。
GET https://graph.microsoft.com/beta/me/outlook/tasks/AAMkADA1MTrgAAA=
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var outlookTask = await graphClient.Me.Outlook.Tasks["{outlookTask-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let outlookTask = await client.api('/me/outlook/tasks/AAMkADA1MTrgAAA=')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/outlook/tasks/AAMkADA1MTrgAAA="]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphOutlookTask *outlookTask = [[MSGraphOutlookTask alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
OutlookTask outlookTask = graphClient.me().outlook().tasks("AAMkADA1MTrgAAA=")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
outlookTaskId := "outlookTask-id"
result, err := graphClient.Me().Outlook().TasksById(&outlookTaskId).Get()
Import-Module Microsoft.Graph.Users
# A UPN can also be used as -UserId.
Get-MgUserOutlookTask -UserId $userId -OutlookTaskId $outlookTaskId
响应
下面是一个响应示例。 默认情况下,响应中的 date-time 属性采用的是 UTC。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "AAMkADA1MTrgAAA=",
"createdDateTime": "2016-04-22T06:03:35.9279794Z",
"lastModifiedDateTime": "2016-04-22T06:03:35.9436052Z",
"changeKey": "1/KC9Vmu40G3DwB6Lgs7MAAAIOJMyQ==",
"categories": [],
"assignedTo": null,
"body": {
"contentType": "text",
"content": ""
},
"completedDateTime": null,
"dueDateTime": {
"dateTime": "2016-04-27T04:00:00.0000000",
"timeZone": "UTC"
},
"hasAttachments": false,
"importance": "normal",
"isReminderOn": false,
"owner": "Administrator",
"parentFolderId": "AQMkADA1MTBEgAAAA==",
"recurrence": null,
"reminderDateTime": null,
"sensitivity": "normal",
"startDateTime": {
"dateTime": "2016-04-26T04:00:00.0000000",
"timeZone": "UTC"
},
"status": "notStarted",
"subject": "Shop for dinner"
}
示例 2:Outlook太平洋标准时间的日期时间属性获取任务
请求
此示例使用 标头指定 API 应在太平洋标准时间的响应中返回 Prefer: outlook.timezone 日期时间属性。
GET https://graph.microsoft.com/beta/me/outlook/tasks/AAMkADA1MHgwAAA=
Prefer: outlook.timezone="Pacific Standard Time"
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var outlookTask = await graphClient.Me.Outlook.Tasks["{outlookTask-id}"]
.Request()
.Header("Prefer","outlook.timezone=\"Pacific Standard Time\"")
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let outlookTask = await client.api('/me/outlook/tasks/AAMkADA1MHgwAAA=')
.version('beta')
.header('Prefer','outlook.timezone="Pacific Standard Time"')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/outlook/tasks/AAMkADA1MHgwAAA="]]];
[urlRequest setHTTPMethod:@"GET"];
[urlRequest setValue:@"outlook.timezone=\"Pacific Standard Time\"" forHTTPHeaderField:@"Prefer"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphOutlookTask *outlookTask = [[MSGraphOutlookTask alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
LinkedList<Option> requestOptions = new LinkedList<Option>();
requestOptions.add(new HeaderOption("Prefer", "outlook.timezone=\"Pacific Standard Time\""));
OutlookTask outlookTask = graphClient.me().outlook().tasks("AAMkADA1MHgwAAA=")
.buildRequest( requestOptions )
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
headers := map[string]string{
"Prefer": "outlook.timezone="Pacific Standard Time""
}
options := &msgraphsdk.OutlookTaskRequestBuilderGetRequestConfiguration{
Headers: headers,
}
outlookTaskId := "outlookTask-id"
result, err := graphClient.Me().Outlook().TasksById(&outlookTaskId).GetWithRequestConfigurationAndResponseHandler(options, nil)
Import-Module Microsoft.Graph.Users
# A UPN can also be used as -UserId.
Get-MgUserOutlookTask -UserId $userId -OutlookTaskId $outlookTaskId
响应
下面是一个响应示例。 响应中的日期时间属性以指定的太平洋标准时间返回。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "AAMkADA1MHgwAAA=",
"createdDateTime": "2016-04-22T15:19:18.9526004-07:00",
"lastModifiedDateTime": "2016-04-22T15:19:19.015101-07:00",
"changeKey": "1/KC9Vmu40G3DwB6Lgs7MAAAIW9XXA==",
"categories": [],
"assignedTo": "Dana Swope",
"body": {
"contentType": "text",
"content": ""
},
"completedDateTime": null,
"dueDateTime": {
"dateTime": "2016-05-04T021:00:00.0000000",
"timeZone": "Pacific Standard Time"
},
"hasAttachments": false,
"importance": "normal",
"isReminderOn": false,
"owner": "Administrator",
"parentFolderId": "AQMkADA1MTEgAAAA==",
"recurrence": null,
"reminderDateTime": null,
"sensitivity": "normal",
"startDateTime": {
"dateTime": "2016-05-02T21:00:00.0000000",
"timeZone": "Pacific Standard Time"
},
"status": "notStarted",
"subject": "Shop for children's weekend"
}